Skip to content

List all news items

Request

You can fetch a list of all news items

News items are returned newest first, by creation date.

Requires the read_news_scope or read_write_news_scope OAuth scope.

Security
bearerAuth
Query
pageinteger

The page of results to fetch.

Default:1
Example:page=1
per_pageinteger, <= 20

The number of news items to return per page. Values above 20 are reduced to 20.

Default:10
Example:per_page=10
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  'https://api.intercom.io/news/news_items?page=1&per_page=10' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

successful

Bodyapplication/json
typestring

The type of object

Value:"list"
Example:"list"

The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

total_countinteger

A count of the total number of objects.

Example:1
dataArray of any

An array of Objects

Response
{ "type": "list", "pages": { "page": 1, "per_page": 10, "total_pages": 1, "type": "pages" }, "data": [ { … }, { … } ], "total_count": 2 }